Bug 127364 - USB Device requires hid driver, which won't install itself
USB Device requires hid driver, which won't install itself
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
3.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Pete Zaitcev
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-07-07 01:07 EDT by Adam Batkin
Modified: 2007-11-30 17:07 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-19 15:22:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Candidate #1 - untested (36.96 KB, patch)
2004-07-07 20:32 EDT, Pete Zaitcev
no flags Details | Diff

  None (edit)
Description Adam Batkin 2004-07-07 01:07:41 EDT
Plugged in APC SmartUPS 1500 to the USB port on a Dell PowerEdge 2650 
 
dmesg reports: 
 
hub.c: new USB device 00:0f.2-2, assigned address 3 
usb.c: USB device 3 (vend/prod 0x51d/0x2) is not claimed by any active driver. 
 
[root@noisy root]# cat /proc/bus/usb/drivers 
         usbdevfs 
         hub 
         serial 
 96-111: hiddev 
         hid 
 
[root@noisy root]# cat /proc/bus/usb/devices 
T:  Bus=01 Lev=00 Prnt=00 Port=00 Cnt=00 Dev#=  1 Spd=12  MxCh= 4 
B:  Alloc=  0/900 us ( 0%), #Int=  0, #Iso=  0 
D:  Ver= 1.10 Cls=09(hub  ) Sub=00 Prot=00 MxPS= 8 #Cfgs=  1 
P:  Vendor=0000 ProdID=0000 Rev= 0.00 
S:  Product=USB OHCI Root Hub 
S:  SerialNumber=f888c000 
C:* #Ifs= 1 Cfg#= 1 Atr=40 MxPwr=  0mA 
I:  If#= 0 Alt= 0 #EPs= 1 Cls=09(hub  ) Sub=00 Prot=00 Driver=hub 
E:  Ad=81(I) Atr=03(Int.) MxPS=   2 Ivl=255ms 
T:  Bus=01 Lev=01 Prnt=01 Port=01 Cnt=01 Dev#=  3 Spd=1.5 MxCh= 0 
D:  Ver= 1.10 Cls=00(>ifc ) Sub=00 Prot=00 MxPS= 8 #Cfgs=  1 
P:  Vendor=051d ProdID=0002 Rev= 0.06 
S:  Manufacturer=American Power Conversion 
S:  Product=Smart-UPS 1500 RM FW:617.3.D USB FW:1.5 
S:  SerialNumber=AS0325211475 
C:* #Ifs= 1 Cfg#= 1 Atr=e0 MxPwr= 30mA 
I:  If#= 0 Alt= 0 #EPs= 1 Cls=03(HID  ) Sub=00 Prot=00 Driver=(none) 
E:  Ad=81(I) Atr=03(Int.) MxPS=   6 Ivl=100ms 
 
[root@noisy root]# lsmod 
Module                  Size  Used by    Not tainted 
hid                    22276   0 
usbserial              21692   0  (autoclean) (unused) 
nfsd                   85168   8  (autoclean) 
lockd                  58992   1  (autoclean) [nfsd] 
sunrpc                 88444   1  (autoclean) [nfsd lockd] 
tg3                    58312   1 
floppy                 57520   0  (autoclean) 
sg                     37228   0  (autoclean) 
microcode               6848   0  (autoclean) 
keybdev                 2976   0  (unused) 
mousedev                5624   0  (unused) 
input                   6144   0  [hid keybdev mousedev] 
usb-ohci               23176   0  (unused) 
usbcore                80928   1  [hid usbserial usb-ohci] 
ext3                   89960   6 
jbd                    55060   6  [ext3] 
aacraid                34148   7 
sd_mod                 13360  14 
scsi_mod              112680   3  [sg aacraid sd_mod] 
 
[root@noisy root]# usbmodules --device /proc/bus/usb/001/003 
hid 
 
So how do I make that device (force) to use the hid module? 
 
I found these references slightly useful, but if they are true (and if they are 
the only solution) it would indicate a bug in RHEL 3. How else am I supposed to 
control my UPS so I can have safe/automatic shutdowns in the event of a power 
failure? 
 
http://lists.exploits.org/hidups/Oct2003/00010.html 
http://lists.us.dell.com/pipermail/linux-poweredge/2004-April/019290.html 
http://www.redhat.com/archives/taroon-list/2004-April/msg00064.html (see the 
rest of the thread also)

My kernel is kernel-smp-2.4.21-15.0.2.EL

This happens every time.

The key above is the line:
I:  If#= 0 Alt= 0 #EPs= 1 Cls=03(HID  ) Sub=00 Prot=00 Driver=(none) 

Driver should = hid
Comment 1 Pete Zaitcev 2004-07-07 20:31:02 EDT
We missed a big update to hid in 2.4.22 by just a little.
There wasn't anything groundbreaking in that area since.
I'm going to attach a candidate which simply backports
hid from 2.4.27-rc2.
Comment 2 Pete Zaitcev 2004-07-07 20:32:57 EDT
Created attachment 101703 [details]
Candidate #1 - untested
Comment 3 Adam Batkin 2004-08-16 18:16:57 EDT
Tested on a PowerEdge 750, same exact result
(also, both systems are running 2.4.21-15.0.4.ELsmp now)

If you could build a new kernel and wrap up your patch in an RPM, I'd
be happy to test over a weekend as long as you don't think I'll have
any data-loss.
Comment 4 Steve 2004-10-20 02:21:49 EDT
Problem still exists in 2.4.21-20.
Comment 5 marco marinuzzo 2005-06-23 04:44:52 EDT
Problem still exists in kernel-smp-2.4.21-32.0.1.EL

# more /proc/bus/usb/devices
...
P:  Vendor=051d ProdID=0002 Rev= 0.06
S:  Manufacturer=American Power Conversion
S:  Product=Back-UPS RS 500 FW:30.j4.I USB FW:j4
S:  SerialNumber=BB0504029421
C:* #Ifs= 1 Cfg#= 1 Atr=e0 MxPwr=  0mA
I:  If#= 0 Alt= 0 #EPs= 1 Cls=03(HID  ) Sub=00 Prot=00 Driver=(none)
E:  Ad=81(I) Atr=03(Int.) MxPS=   6 Ivl=100ms
T:  Bus=01 Lev=00 Prnt=00 Port=00 Cnt=00 Dev#=  1 Spd=12  MxCh= 2
B:  Alloc=  0/900 us ( 0%), #Int=  0, #Iso=  0
D:  Ver= 1.00 Cls=09(hub  ) Sub=00 Prot=00 MxPS= 8 #Cfgs=  1
...
Comment 9 Ryan Golhar 2005-07-22 11:18:49 EDT
I have two other machines running same kernel and same model UPS (bought 1 year
ago), and both of them correctly load hid.  If I swap the UPS's, hid is
correctly load on this machine for the older UPS, but the other machine doesn't
load hid for the new ups.

Its seems to be new or specifc to this UPS.  
Comment 10 RHEL Product and Program Management 2007-10-19 15:22:59 EDT
This bug is filed against RHEL 3, which is in maintenance phase.
During the maintenance phase, only security errata and select mission
critical bug fixes will be released for enterprise products. Since
this bug does not meet that criteria, it is now being closed.
 
For more information of the RHEL errata support policy, please visit:
http://www.redhat.com/security/updates/errata/
 
If you feel this bug is indeed mission critical, please contact your
support representative. You may be asked to provide detailed
information on how this bug is affecting you.

Note You need to log in before you can comment on or make changes to this bug.